Subject: Re: bug#19072: cp does not work with davfs2 (fuse) under GNU/Linux; coreutils-8.21

From: Pádraig Brady <[email-masked]>
Date: Mon, 17 Nov 2014 09:53:44 +0000

On 17/11/14 08:23, Klaus-Jürgen Wolf wrote:
> Pádraig, wow super, "cp --sparse=never" works though the file I tried with
> was in no way sparse. I checked (after umount & mount again) the checksums,
> and it's a real success.
> 
> The error (before) was absolutely repeatable, it happened always, without
> exception, it created a file with 0 bytes length. Same effect when
> directories copied recursively, each file was created with zero length.

OK, so the "failed to extend" error was extraneous.
BTW I've recently fixed up that issue with:
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commit;h=84616da8

Therefore it seems that davfs2 doesn't deal with lseek() well.
The lseek() ran without error, but subsequent write() gives EIO?
There is nothing extra that cp could do in that particular case.

It would be good for comfirmation to get the output from these two commands:

  stat /your/sourcefile
  dd if=/dev/zero conv=notrunc count=1 seek=1 of=/home/kj/MyDrive/eio.test

thanks,
Pádraig.